summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ponce2010-07-10 08:35:12 +0200
committer Robby Workman2010-07-10 09:17:59 +0200
commit1fadcf965f3c9d8bd8004dcd060e1537cb9b8c23 (patch)
tree6cf3fb7f5c7871f4fb6fc5ed4e0472c41050b76b
parent1c1fb42eff7ea51c128f796ea7a60c7c9e5754da (diff)
downloadslackbuilds-1fadcf965f3c9d8bd8004dcd060e1537cb9b8c23.tar.gz
multimedia/2ManDVD: Updated for version 1.3.5.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--multimedia/2ManDVD/2ManDVD.SlackBuild31
-rw-r--r--multimedia/2ManDVD/2ManDVD.info8
-rw-r--r--multimedia/2ManDVD/2mandvd-fix-const-char-concatenation.patch13
-rw-r--r--multimedia/2ManDVD/README9
-rw-r--r--multimedia/2ManDVD/doinst.sh1
-rw-r--r--multimedia/2ManDVD/slack-desc1
6 files changed, 39 insertions, 24 deletions
diff --git a/multimedia/2ManDVD/2ManDVD.SlackBuild b/multimedia/2ManDVD/2ManDVD.SlackBuild
index f4db46c972..3bae503064 100644
--- a/multimedia/2ManDVD/2ManDVD.SlackBuild
+++ b/multimedia/2ManDVD/2ManDVD.SlackBuild
@@ -7,16 +7,14 @@
# Modified by the slackbuilds.org project.
PRGNAM=2ManDVD
-VERSION=${VERSION:-1.2}
+VERSION=${VERSION:-1.3.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -55,6 +53,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# patch to fix const char concatenation - tnx to hwoarang from gentoo
+patch -p1 < $CWD/2mandvd-fix-const-char-concatenation.patch
+
# Fix installation path
for file in mainfrm.cpp media_browser.cpp rendering.cpp; do
sed -i "s:qApp->applicationDirPath().\?+.\?\":\"/usr/share/$PRGNAM/:" $file
@@ -69,17 +70,15 @@ qmake \
make
-install -D -m0755 $PRGNAM $PKG/usr/bin/$PRGNAM
-install -D -m0644 Interface/mandvdico.png $PKG/usr/share/pixmaps/mandvdico.png
+install -D -m 0755 $PRGNAM $PKG/usr/bin/$PRGNAM
+install -D -m 0644 Interface/mandvdico.png $PKG/usr/share/pixmaps/mandvdico.png
+
mkdir -p $PKG/usr/share/$PRGNAM
-chmod -R 755 Bibliotheque Interface
-cp -R \
- Bibliotheque Interface 2mandvd_*.qm 2mandvd_*.ts *.wav *.pl \
+chmod -R 0755 Bibliotheque Interface
+cp -a \
+ Bibliotheque Interface 2mandvd_*.qm 2mandvd_*.ts *.pl \
$PKG/usr/share/$PRGNAM
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
# Make desktop entry
mkdir -p $PKG/usr/share/applications
echo "[Desktop Entry]
@@ -89,13 +88,14 @@ Comment=Tool for creating DVD Video
Exec=2ManDVD
Icon=mandvdico
Terminal=false
-Categories=Application;Qt;AudioVideo;Video;" \
+Categories=Qt;AudioVideo;Video;" \
> $PKG/usr/share/applications/2ManDVD.desktop
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- COPYING README.txt \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -104,4 +104,3 @@ cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-
diff --git a/multimedia/2ManDVD/2ManDVD.info b/multimedia/2ManDVD/2ManDVD.info
index 7ae4cdf515..93ba1a328b 100644
--- a/multimedia/2ManDVD/2ManDVD.info
+++ b/multimedia/2ManDVD/2ManDVD.info
@@ -1,10 +1,10 @@
PRGNAM="2ManDVD"
-VERSION="1.2"
+VERSION="1.3.5"
HOMEPAGE="http://2mandvd.tuxfamily.org/"
-DOWNLOAD="http://download.tuxfamily.org/2mandvd/2ManDVD-1.2.tar.gz"
-MD5SUM="be96bfe506066e9db444e5cc0318b62c"
+DOWNLOAD="http://mirrors.kernel.org/gentoo/distfiles/2ManDVD-1.3.5.tar.gz"
+MD5SUM="864cd202972e233383ecbdb0d9a08a71"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Ponce"
EMAIL="matteo.bernardini@sns.it"
-APPROVED="dsomero"
+APPROVED="rworkman"
diff --git a/multimedia/2ManDVD/2mandvd-fix-const-char-concatenation.patch b/multimedia/2ManDVD/2mandvd-fix-const-char-concatenation.patch
new file mode 100644
index 0000000000..1a5fd1c0a8
--- /dev/null
+++ b/multimedia/2ManDVD/2mandvd-fix-const-char-concatenation.patch
@@ -0,0 +1,13 @@
+--- 2ManDVD/mainfrm.cpp.orig 2010-07-04 15:28:28.000000030 +0200
++++ 2ManDVD/mainfrm.cpp 2010-07-04 15:29:26.670000516 +0200
+@@ -1045,8 +1045,8 @@
+ outext << "growisofs" << endl;
+ outext << "mpeg2enc" << endl;
+ outext << "jpegtopnm /dev/null" << endl;
+- outext << "cat " + qApp->applicationDirPath() + "/fake.pl" << endl;
+- outext << "rm -f " + homeDir.path() + "/.mdvdep.sh" << endl;
++ outext << "cat " << qApp->applicationDirPath() << "/fake.pl" << endl;
++ outext << "rm -f " << homeDir.path() << "/.mdvdep.sh" << endl;
+ outext << "exit" << endl;
+ wmyficext.close();
+ QString programf = "bash";
diff --git a/multimedia/2ManDVD/README b/multimedia/2ManDVD/README
index e11e241d54..1273c3e822 100644
--- a/multimedia/2ManDVD/README
+++ b/multimedia/2ManDVD/README
@@ -1,6 +1,9 @@
2ManDVD is a full featured dvd authoring application with a nice looking
-qt interface written by Stéphane Gibault. It's the successor of ManDVD
+qt interface written by Stéphane Gibault. It's the successor of ManDVD
written for qt4 and webkit.
-Requires: webkit, ffmpeg, transcode, dvdauthor, mjpegtools and
-ffmpegthumbnailer, all available at slackbuilds.org.
+for a faster gui the author suggests try launching it from command line
+with option "-graphicssystem raster" or "-graphicssystem opengl"
+
+This requires webkit, ffmpeg, transcode, dvdauthor, mjpegtools, and
+ffmpegthumbnailer.
diff --git a/multimedia/2ManDVD/doinst.sh b/multimedia/2ManDVD/doinst.sh
index 5fb28930db..4e8ba7071d 100644
--- a/multimedia/2ManDVD/doinst.sh
+++ b/multimedia/2ManDVD/doinst.sh
@@ -1,3 +1,4 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
diff --git a/multimedia/2ManDVD/slack-desc b/multimedia/2ManDVD/slack-desc
index 72fe09f39e..1ab72ff7d8 100644
--- a/multimedia/2ManDVD/slack-desc
+++ b/multimedia/2ManDVD/slack-desc
@@ -17,4 +17,3 @@
2ManDVD:
2ManDVD:
2ManDVD:
-